javax.xml.bind

## Interface JAXBContextFactory

    public interface JAXBContextFactory

Factory that creates new `JAXBContext` instances. JAXBContextFactory can be located using `ServiceLoader.load(Class)`

Since:
  1.9, JAXB 2.3

### Method Summary

All Methods Instance Methods Abstract Methods
`JAXBContext` `createContext(Class<?>[] classesToBeBound, Map<String,?> properties)` Create a new instance of a `JAXBContext` class.
`JAXBContext` `createContext(String contextPath, ClassLoader classLoader, Map<String,?> properties)` Create a new instance of a `JAXBContext` class.

### Method Detail

#### createContext

    JAXBContext createContext(Class<?>[] classesToBeBound,
                              Map<String,?> properties)
                       throws JAXBException

Create a new instance of a `JAXBContext` class.

For semantics see `JAXBContext.newInstance(Class[], java.util.Map)`

Parameters:
  `classesToBeBound` - list of java classes to be recognized by the new `JAXBContext`. Can be empty, in which case a `JAXBContext` that only knows about spec-defined classes will be returned.
  `properties` - provider-specific properties. Can be null, which means the same thing as passing in an empty map.
Returns:
  A new instance of a `JAXBContext`.
Throws:
  `JAXBException` - if an error was encountered while creating the `JAXBContext`. See `JAXBContext.newInstance(Class[], Map)` for details.
  `IllegalArgumentException` - if the parameter contains `null` (i.e., `newInstance(null,someMap);`)
Since:
  1.9, JAXB 2.3

#### createContext

    JAXBContext createContext(String contextPath,
                              ClassLoader classLoader,
                              Map<String,?> properties)
                       throws JAXBException

Create a new instance of a `JAXBContext` class.

For semantics see `JAXBContext.newInstance(String, ClassLoader, java.util.Map)`

The interpretation of properties is up to implementations. Implementations must throw `JAXBException` if it finds properties that it doesn't understand.

Parameters:
  `contextPath` - list of java package names that contain schema derived classes
  `classLoader` - This class loader will be used to locate the implementation classes.
  `properties` - provider-specific properties. Can be null, which means the same thing as passing in an empty map.
Returns:
  a new instance of a `JAXBContext`
Throws:
  `JAXBException` - if an error was encountered while creating the `JAXBContext`. See `JAXBContext.newInstance(String, ClassLoader, Map)` for details.
Since:
  1.9, JAXB 2.3

Copyright © 2004-2017 Oracle